<?php
/*
Plugin Name: Live Traffic Feed Widget
Description: Live Traffic Feed on Your WordPress. Go to Appearances -> Widgets add a Live Traffic Feed Widget (as many as you want)
Version: 0.1
Author: Live Traffic Feed
Author URI: http://livetrafficfeed.com
License: GNU General Public License 2.0 (GPL) http://www.gnu.org/licenses/gpl.html
*/
/*
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License, version 2, as 
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/
?>
<?php
add_action( 'widgets_init', 'ltf_init' );
function ltf_init() {
register_widget( 'ltf_register' );
}
class ltf_register extends WP_Widget {
function ltf_register() {
$widget_ops = array( 'classname' => 'ltf_register', 'description' => __('This Widget will show the Live Traffic Feed your WordPress from another website', 'Live_Traffic_Feed_Widget') );
$control_ops = array( 'width' => 300, 'height' => 350, 'id_base' => 'ltf-widget' );
$this->WP_Widget( 'ltf-widget', __('Live Traffic Feed Widget', 'LTF_Widget'), $widget_ops, $control_ops );
					}
function widget( $args, $instance ) {
	extract( $args );
	$title = apply_filters('widget_title', $instance['title'] );
	$ltf_lebar = $instance['ltf_lebar'];
	$ltf_bg = $instance['ltf_bg'];
	$ltf_status = $instance['ltf_status'];
	echo $before_widget;
	echo $before_title . $title . $after_title;
	if( $ltf_status == 'enabled') {
		echo '<center><script type="text/javascript" src="//cdn.livetrafficfeed.com/static/v5/live.js?bc='.$ltf_bg.'&tc=000000&brd1=2853a8&lnk=135d9e&hc=ffffff&hfc=2853a8&nc=19ff19&vv='.$ltf_lebar.'&tft=10&ro=0&res=0"></script><noscript id="LTF_live_website_visitor"><a href="http://livetrafficfeed.com">Stat Counter</a></noscript></center>';
		echo '<center><font size="1"><a href="http://livetrafficfeed.com">Live Traffic Feed Widget</a></font></center>';
		} else {
		echo '<center><font size="1"><a href="http://livetrafficfeed.com">Live Traffic Feed Widget</a></font></center>';
		}
	echo $after_widget;
	}

function update( $new_instance, $old_instance ) {
	$instance = $old_instance;
	$instance['title'] = strip_tags( $new_instance['title'] );
	$instance['ltf_lebar'] = $new_instance['ltf_lebar'];
	$instance['ltf_bg'] = $new_instance['ltf_bg'];
	$instance['ltf_status'] = $new_instance['ltf_status'];
	return $instance;
	}

function form( $instance ) {
	$defaults = array( 'title' => __('Live Traffic Feed', 'Live Traffic Feed'), 'ltf_lebar' => '200', 'ltf_bg' => 'FFFFFF',  'ltf_status' => 'enabled' );
	$instance = wp_parse_args( (array) $instance, $defaults ); ?>
	<p>
	<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e('Title:', 'hybrid'); ?></label>
	<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" 

value="<?php echo $instance['title']; ?>" style="width:100%;" />
	</p>
	<p>
	<label for="<?php echo $this->get_field_id( 'ltf_lebar' ); ?>"><?php _e('Width:', 'ltf_lebar'); ?></label>
	<input id="<?php echo $this->get_field_id( 'ltf_lebar' ); ?>" name="<?php echo $this->get_field_name( 'ltf_lebar' ); ?>" value="<?php echo $instance['ltf_lebar']; ?>" style="width:100%;" />
	</p>		
	<p>
	<label for="<?php echo $this->get_field_id( 'ltf_bg' ); ?>"><?php _e('Background Color:', 'ltf_bg'); ?></label>
	<input id="<?php echo $this->get_field_id( 'ltf_bg' ); ?>" name="<?php echo $this->get_field_name( 'ltf_bg' ); ?>" value="<?php echo $instance['ltf_bg']; ?>" style="width:100%;" />
	</p>		
	<p>
	<label for="<?php echo $this->get_field_id( 'ltf_status' ); ?>"><?php _e('Widget Status:', 'ltf_status'); ?></label> 
	<select id="<?php echo $this->get_field_id( 'ltf_status' ); ?>" name="<?php echo $this->get_field_name( 'ltf_status' ); 

?>" class="widefat" style="width:100%;">
	<option <?php if ( 'enabled' == $instance['ltf_status'] ) echo 'selected="selected"'; ?>>enabled</option>
	<option <?php if ( 'vertical' == $instance['ltf_status'] ) echo 'selected="selected"'; ?>>disabled</option>
	</select>
	</p>
<?php
}
}
?>